Page MenuHomePhabricator

Allow ignore whitespace in Audit/Diffusion diffs
Closed, ResolvedPublic

Assigned To
None
Authored By
zorfling
Jul 8 2013, 3:58 AM
Tokens
"Like" token, awarded by dwilches."Like" token, awarded by nickhutchinson."Like" token, awarded by adam93."Like" token, awarded by matelich."Like" token, awarded by MarcLindenberg.

Description

Differential has options to ignore whitespace in the diff.
Audit/Diffusion doesn't have this option.
{F49109}

It would be great if Diffusion would have the option to ignore whitespace changes if required (either by a dropdown on the commit page like Differential) or even a site wide config.

Event Timeline

zorfling added a subscriber: zorfling.
epriestley triaged this task as Low priority.Jul 8 2013, 3:05 PM
epriestley added a subscriber: epriestley.
svenax added a subscriber: svenax.Apr 25 2014, 10:56 AM

◀ Merged tasks: T970.

chad added a subscriber: djc.Aug 20 2014, 3:17 PM

◀ Merged tasks: T5923.

Ah, thanks! I forgot we had this one already.

◀ Merged tasks: T5959.

Old task (1+ year old). Maybe this can be implemented in visible future (e.g. before end of the year)?

See T4778 for discussion of how we prioritize.

pete_b added a subscriber: pete_b.Nov 5 2014, 6:14 AM

I've added whitespace control for audits. It looks like this.

@epriestley, should I send a diff for review?

djc removed a subscriber: djc.Sep 14 2015, 5:54 PM

This would be really nice to see, as we do post-commit code review with Audit and we semi-frequently encounter commits that have near-100% changes due to white space as someone hits an auto-formatter or changes svn:eol-style to match convention and doesn't split this out into separate commits.

I have to drop down into another diff tool for these cases... which works but is inconvenient.

chad changed the visibility from "All Users" to "Public (No Login Required)".Mar 24 2016, 7:19 PM
knot added a subscriber: knot.Jun 23 2016, 7:09 PM
adam93 awarded a token.Nov 9 2016, 1:27 PM
adam93 added a subscriber: adam93.
arr_sea added a subscriber: arr_sea.Dec 7 2016, 1:06 AM

Is there any chance this will ever get implemented? The lack of this feature makes our lives a lot harder, and it's a highly ubiquitous feature (GitLab, GitHub, BitBucket, Gerrit, etc. all have it). We're trying to modernize a very old codebase, and any time anybody auto-formats a file to match our standard, Phabricator's diffs become completely useless. This wouldn't be a problem if we were using any other tool.

Yes, this will be implemented.

See Planning for guidance on timelines and priorities.

tgm added a subscriber: tgm.Aug 17 2017, 8:25 AM
dwilches added a subscriber: dwilches.